#pragma once

#include "CoreMinimal.h"
#include "SurvivorCosmeticHelperActor.h"
#include "GuardAddedProxy.h"
#include "K30SurvivorCosmeticHelperActor.generated.h"

class AKnightGuard;

UCLASS(Blueprintable)
class AK30SurvivorCosmeticHelperActor : public ASurvivorCosmeticHelperActor
{
	GENERATED_BODY()

private:
	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	FGuardAddedProxy _guardAddedProxy;

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnSurvivorCaptureFlagBuffActivationStateChanged(bool isFlagCaptureBuffActive);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnHuntEnd();

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnHuntBegin(const AKnightGuard* guard);

public:
	AK30SurvivorCosmeticHelperActor();
};

FORCEINLINE uint32 GetTypeHash(const AK30SurvivorCosmeticHelperActor) { return 0; }
